package org.nl.acs.device_driver.basedriver.agv.ndcone;

import org.nl.acs.device.domain.Device;
import org.nl.acs.device.enums.DeviceType;
import org.nl.acs.device_driver.DeviceDriver;
import org.nl.acs.device_driver.DeviceDriverDefination;
import org.springframework.stereotype.Service;

import java.util.LinkedList;
import java.util.List;

/**
 * NDC单工位AGV
 */
@Service
public class AgvNdcOneDefination implements DeviceDriverDefination {
    @Override
    public String getDriverCode() {
        return "agv_ndc_one";
    }

    @Override
    public String getDriverName() {
        return "NDC1楼AGV";
    }

    @Override
    public String getDriverDescription() {
        return "NDC1楼AGV";
    }

    @Override
    public DeviceDriver getDriverInstance(Device device) {
        return (new AgvNdcOneDeviceDriver()).setDevice(device).setDriverDefination(this);

    }

    @Override
    public Class<? extends DeviceDriver> getDeviceDriverType() {
        return AgvNdcOneDeviceDriver.class;
    }

    @Override
    public List<DeviceType> getFitDeviceTypes() {
        List<DeviceType> types = new LinkedList();
        types.add(DeviceType.agv);
        return types;
    }
}
